# $Revision: 1.15 $, $Date: 2008/07/27 22:53:44 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Quantum
%define		pnam	Superpositions
Summary:	Quantum::Superpositions - QM-like superpositions in Perl
Summary(pl.UTF-8):	Quantum::Superpositions - superpozycje z mechaniki kwantowej w Perlu
Name:		perl-Quantum-Superpositions
Version:	2.02
Release:	2
# same as perl (5.6.1 or later)
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	40a3a398ca24be6de510667d92c02f5e
BuildRequires:	perl-devel >= 1:5.8.0
%if %{with tests}
BuildRequires:	perl-Class-Multimethods
%endif
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Quantum::Superpositions provides a new scalar data structure: the
superposition. In a metaphor drawn from quantum mechanics,
superpositions store a collection of values by overlaying them in
parallel superimposed states within a single scalar variable.

The Quantum::Superpositions module adds two new operators to Perl:
any and all.

%description -l pl.UTF-8
Moduł Quantum::Superpositions udostępnia nową strukturę danych
skalarnych: superpozycję. Jest to metafora pochodząca z mechaniki
kwantowej - superpozycje przechowują zestaw zmiennych poprzez
nakładanie ich w równolegle złożonych stanach w pojedynczej zmiennej
skalarnej.

Moduł Quantum::Superpositions dodaje dwa nowe operatory do Perla: any
i all.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Change*
%{perl_vendorlib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Quantum-Superpositions.spec,v $
Revision 1.15  2008/07/27 22:53:44  arekm
- release 2

Revision 1.14  2007-02-13 07:47:14  glen
- tabs in preamble

Revision 1.13  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.12  2004/11/03 22:30:40  paladine
- formatting

Revision 1.11  2004/05/06 18:43:20  ankry
- fixed perl-devel BR

Revision 1.10  2004/04/27 14:28:55  ankry
- license fixed, new bconds, cosmetics

Revision 1.9  2003/09/09 10:24:46  ankry
- spaces -> tab

Revision 1.8  2003/06/12 09:19:06  qboosh
- up to 2.02, ready for perl 5.8 now

Revision 1.7  2003/05/28 13:00:59  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 06:24:55  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/04/11 18:59:26  radek
- BR: perl-devel; do not BR: perl

Revision 1.4  2003/02/25 00:41:45  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:37:50  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/10/13 22:11:24  qboosh
- pl description, release 2

Revision 1.1  2002/09/21 21:01:35  radek
- new, STBR
